Magick++: Magick::DrawableRoundRectangle Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::DrawableRoundRectangle Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableRoundRectangle:
[legend]
Collaboration diagram for Magick::DrawableRoundRectangle:
[legend]

## Public Member Functions
| DrawableRoundRectangle (double upperLeftX_, double upperLeftY_, double lowerRightX_, double lowerRightY_, double cornerWidth_, double cornerHeight_)
| ~DrawableRoundRectangle (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | centerX (double centerX_)
double | centerX (void) const
void | centerY (double centerY_)
double | centerY (void) const
void | width (double width_)
double | width (void) const
void | hight (double hight_)
double | hight (void) const
void | upperLeftX (double upperLeftX_)
double | upperLeftX (void) const
void | upperLeftY (double upperLeftY_)
double | upperLeftY (void) const
void | lowerRightX (double lowerRightX_)
double | lowerRightX (void) const
void | lowerRightY (double lowerRightY_)
double | lowerRightY (void) const
void | cornerWidth (double cornerWidth_)
double | cornerWidth (void) const
void | cornerHeight (double cornerHeight_)
double | cornerHeight (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1491 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableRoundRectangle()

Magick::DrawableRoundRectangle::DrawableRoundRectangle | ( | double | upperLeftX_,
|  | double | upperLeftY_,
|  | double | lowerRightX_,
|  | double | lowerRightY_,
|  | double | cornerWidth_,
|  | double | cornerHeight_
| ) |  |
| inline

Definition at line 1494 of file Drawable.h.

## ◆ ~DrawableRoundRectangle()

Magick::DrawableRoundRectangle::~DrawableRoundRectangle | ( | void |  | ) |

Definition at line 1103 of file Drawable.cpp.

## Member Function Documentation

## ◆ centerX() [1/2]

void Magick::DrawableRoundRectangle::centerX | ( | double | centerX_ | ) |
| inline

Definition at line 1515 of file Drawable.h.

## ◆ centerX() [2/2]

double Magick::DrawableRoundRectangle::centerX | ( | void |  | ) | const
| inline

Definition at line 1519 of file Drawable.h.

## ◆ centerY() [1/2]

void Magick::DrawableRoundRectangle::centerY | ( | double | centerY_ | ) |
| inline

Definition at line 1524 of file Drawable.h.

## ◆ centerY() [2/2]

double Magick::DrawableRoundRectangle::centerY | ( | void |  | ) | const
| inline

Definition at line 1528 of file Drawable.h.

## ◆ copy()

Magick::DrawableBase * Magick::DrawableRoundRectangle::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1112 of file Drawable.cpp.

## ◆ cornerHeight() [1/2]

void Magick::DrawableRoundRectangle::cornerHeight | ( | double | cornerHeight_ | ) |
| inline

Definition at line 1598 of file Drawable.h.

## ◆ cornerHeight() [2/2]

double Magick::DrawableRoundRectangle::cornerHeight | ( | void |  | ) | const
| inline

Definition at line 1602 of file Drawable.h.

## ◆ cornerWidth() [1/2]

void Magick::DrawableRoundRectangle::cornerWidth | ( | double | cornerWidth_ | ) |
| inline

Definition at line 1589 of file Drawable.h.

## ◆ cornerWidth() [2/2]

double Magick::DrawableRoundRectangle::cornerWidth | ( | void |  | ) | const
| inline

Definition at line 1593 of file Drawable.h.

## ◆ hight() [1/2]

void Magick::DrawableRoundRectangle::hight | ( | double | hight_ | ) |
| inline

Definition at line 1542 of file Drawable.h.

## ◆ hight() [2/2]

double Magick::DrawableRoundRectangle::hight | ( | void |  | ) | const
| inline

Definition at line 1546 of file Drawable.h.

## ◆ lowerRightX() [1/2]

void Magick::DrawableRoundRectangle::lowerRightX | ( | double | lowerRightX_ | ) |
| inline

Definition at line 1571 of file Drawable.h.

## ◆ lowerRightX() [2/2]

double Magick::DrawableRoundRectangle::lowerRightX | ( | void |  | ) | const
| inline

Definition at line 1575 of file Drawable.h.

## ◆ lowerRightY() [1/2]

void Magick::DrawableRoundRectangle::lowerRightY | ( | double | lowerRightY_ | ) |
| inline

Definition at line 1580 of file Drawable.h.

## ◆ lowerRightY() [2/2]

double Magick::DrawableRoundRectangle::lowerRightY | ( | void |  | ) | const
| inline

Definition at line 1584 of file Drawable.h.

## ◆ operator()()

void Magick::DrawableRoundRectangle::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1107 of file Drawable.cpp.

## ◆ upperLeftX() [1/2]

void Magick::DrawableRoundRectangle::upperLeftX | ( | double | upperLeftX_ | ) |
| inline

Definition at line 1553 of file Drawable.h.

## ◆ upperLeftX() [2/2]

double Magick::DrawableRoundRectangle::upperLeftX | ( | void |  | ) | const
| inline

Definition at line 1557 of file Drawable.h.

## ◆ upperLeftY() [1/2]

void Magick::DrawableRoundRectangle::upperLeftY | ( | double | upperLeftY_ | ) |
| inline

Definition at line 1562 of file Drawable.h.

## ◆ upperLeftY() [2/2]

double Magick::DrawableRoundRectangle::upperLeftY | ( | void |  | ) | const
| inline

Definition at line 1566 of file Drawable.h.

## ◆ width() [1/2]

void Magick::DrawableRoundRectangle::width | ( | double | width_ | ) |
| inline

Definition at line 1533 of file Drawable.h.

## ◆ width() [2/2]

double Magick::DrawableRoundRectangle::width | ( | void |  | ) | const
| inline

Definition at line 1537 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp